Bug 52799 - The following program crashes gcc 2.96-97
Summary: The following program crashes gcc 2.96-97
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-29 11:47 UTC by Peter Klotz
Modified: 2007-04-18 16:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 17:41:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Klotz 2001-08-29 11:47:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Windows NT 5.0; U)

Description of problem:
The C++ program found under "Additional Information" crashes the newest gcc snapshot 2.96-97.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.gcc main.cpp
2.
3.
	

Actual Results:  [peter@localhost bad]$ gcc main.cpp
main.cpp:12: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
[peter@localhost bad]$

Expected Results:  Should compile.

Additional info:

    template <class T, void (T::*FOO)()>
 class info
 {
 };

 class toto
 {
   public :
     virtual void foo();
     info<toto, &toto::foo> inf;
 };

 int main(void)
 {
  return 0;
 };


Note You need to log in before you can comment on or make changes to this bug.